Subject: Re: [patch 12/18] e1000: #if 0 two functions

From: "Kok, Auke" <[email-masked]>
Date: Tue, 14 Aug 2007 14:14:40 -0700

Jeff Garzik wrote:
> [email-masked] wrote:
>> From: Adrian Bunk <[email-masked]>
>>
>> e1000_{read,write}_pci_cfg() are no longer used.
>>
>> Signed-off-by: Adrian Bunk <[email-masked]>
>> Cc: Auke Kok <[email-masked]>
>> Signed-off-by: Andrew Morton <[email-masked]>
>> ---
>>
>>  drivers/net/e1000/e1000_hw.h   |    2 --
>>  drivers/net/e1000/e1000_main.c |    4 ++++
>>  2 files changed, 4 insertions(+), 2 deletions(-)
> 
> if it's truly dead code in upstream, we should just remove it from e1000

if I apply this to #master and compile, it blows up: the two functions are still 
in use there. I also don't see any difference with current #upstream....

so, I don't know what is in -mm at the moment, but we do not want this in jeff's 
tree.

Auke